<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<div class="action-row action-detail-main-row">
  <div class="action-column">
    <div class="action-row action-detail-title-row" *ngIf="i18nTitleLabel">
      <h2>{{ i18nLabel + '.detail.content.' + i18nTitleLabel | translate }}</h2>
    </div>

    <div *ngIf="(actions || []).length === 0" class="action-row pact-empty-table-msg no-border">
      {{ i18nLabel + '.detail.content.empty' | translate }}
    </div>
    <div class="action-row">
      <mat-accordion class="action-accordion" multi="true">
        <mat-expansion-panel *ngFor="let action of actions;" [ngClass]="expansionClass">
          <mat-expansion-panel-header collapsedHeight="auto" expandedHeight="auto">
            <mat-panel-title>
              <div class="accordion-title-cell">
                <div class="readonly-label"  *ngIf="(i18nLabel + '.fieldNames.' + titleLabel | translate).length > 0">
                  {{ i18nLabel + '.fieldNames.' + titleLabel | translate}}
                </div>
                <pact-action-detail-value [ngClass]="['readonly-value', 'panel-title-' + titleLabel]"
                                          [action]="action[titleLabel]">
                </pact-action-detail-value>
              </div>
            </mat-panel-title>
            <mat-panel-description *ngFor="let label of descriptionLabels">
              <div class="accordion-title-cell">
                <div class="readonly-label"  *ngIf="(i18nLabel + '.fieldNames.' + label | translate).length > 0">
                  {{ i18nLabel + '.fieldNames.' + label | translate}}
                </div>
                <pact-action-detail-value [ngClass]="['readonly-value', 'panel-description-' + label]"
                                          [action]="action[label]">
                </pact-action-detail-value>
              </div>
            </mat-panel-description>
          </mat-expansion-panel-header>

          <ng-container *ngIf="rows?.length == 0">
            <ng-container *ngTemplateOutlet="parentTemplate; context: { details: action }"></ng-container>
          </ng-container>

          <pact-action-detail-row class="action-detail-accordion-detail-row"
                                  *ngFor="let row of rows"
                                  [labels]="row" [i18nLabel]="i18nLabel" [action]="action">
          </pact-action-detail-row>

        </mat-expansion-panel>
      </mat-accordion>
    </div>
  </div>
</div>
